- Qt 5.15
- Qt Multimedia
- C++ Classes
- QMediaServiceDefaultDeviceInterface
- Qt 5.15.11 Reference Documentation

# QMediaServiceDefaultDeviceInterface Struct

The QMediaServiceDefaultDeviceInterface class interface identifies the default device used by a media service plug-in. More...

Header: | #include <QMediaServiceDefaultDeviceInterface>
qmake: | QT += multimedia
Since: | Qt 5.3

This struct is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This struct was introduced in Qt 5.3.

- List of all members, including inherited members

## Public Functions

virtual | ~QMediaServiceDefaultDeviceInterface()
virtual QByteArray | defaultDevice(const QByteArray &service) const = 0

## Detailed Description

A QMediaServiceProviderPlugin may implement this interface.

## Member Function Documentation

### `[virtual]` QMediaServiceDefaultDeviceInterface::~QMediaServiceDefaultDeviceInterface()

Destroys a media service default device interface.

### `[pure virtual]` QByteArray QMediaServiceDefaultDeviceInterface::defaultDevice(const QByteArray &service) const

Returns the default device for a service type.